package com.jeesharp.business.modules.mall.service;

import com.jeesharp.business.modules.mall.entity.MallSpuSpec;
import com.jeesharp.business.modules.mall.vo.MallSpuSpecQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;

/**
 * SPU规格关联 Service 接口
 */
public interface MallSpuSpecService extends BaseInterface<MallSpuSpec, MallSpuSpecQueryVO> {

    void createSpuSpec(MallSpuSpec entity);

    void updateSpuSpec(MallSpuSpec entity);
List<MallSpuSpec> getSpuSpecs(String spuId);

    void batchSaveSpuSpecs(String spuId, List<String> specIds);

    void deleteSpuSpecs(String spuId);
}
